petsc-3.10.5 2019-03-28
Report Typos and Errors

# VecWAXPY

Computes w = alpha x + y.

### Synopsis

    #include "petscvec.h"
    PetscErrorCode  VecWAXPY(Vec w,PetscScalar alpha,Vec x,Vec y)

Logically Collective on Vec

### Input Parameters

| alpha | - the scalar
| x, y | - the vectors

### Output Parameter

w -the result

### Notes

w cannot be either x or y, but x and y can be the same

### See Also

VecAXPY(), VecAYPX(), VecAXPBY()

### Level

intermediate

### Location

src/vec/vec/interface/rvector.c

### Examples

src/vec/vec/examples/tutorials/ex1.c.html
src/vec/vec/examples/tutorials/ex1f.F90.html
src/vec/vec/examples/tutorials/ex1f90.F90.html
src/vec/vec/examples/tutorials/ex20f90.F90.html
src/ts/examples/tutorials/ex10.c.html
src/tao/unconstrained/examples/tutorials/spectraladjointassimilation.c.html
src/tao/pde_constrained/examples/tutorials/elliptic.c.html
src/tao/pde_constrained/examples/tutorials/parabolic.c.html
src/tao/pde_constrained/examples/tutorials/hyperbolic.c.html

### Implementations

VecWAXPY_Nest in src/vec/vec/impls/nest/vecnest.c
VecWAXPY_Node in src/vec/vec/impls/node/vecnode.c
VecWAXPY_Seq in src/vec/vec/impls/seq/dvec2.c
VecWAXPY_SeqCUDA in src/vec/vec/impls/seq/seqcuda/veccuda2.cu
VecWAXPY_SeqViennaCL in src/vec/vec/impls/seq/seqviennacl/vecviennacl.cxx
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages